import logging
import configparser

from typing import Sequence

from ec2init import Plan, Procedure

logger = logging.getLogger(__name__)

class NoopPlan(Plan):
    def init(self, name: str, config: configparser.ConfigParser, **kwargs: str) -> None:
        self.name = name

    def create(self) -> Sequence[Procedure]:
        logger.info(f"{self.name} - Nothing to do, no-op plan")
        return []

    def report_error(self, error_message: str) -> None:
        pass

    def report_configuration_error(self, error_message: str) -> None:
        pass